tigase.jaxmpp.core.client.xmpp.modules.registration

## Class UnifiedRegistrationForm

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.forms.JabberDataElement
    - - tigase.jaxmpp.core.client.xmpp.modules.registration.UnifiedRegistrationForm

- All Implemented Interfaces:
    Element

      public class UnifiedRegistrationForm
      extends JabberDataElement

  Created by bmalkow on 25.04.2017.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UnifiedRegistrationForm.RegistrationFormType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnifiedRegistrationForm(IQ responseStanza)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnifiedRegistrationForm.RegistrationFormType` | `getRegistrationFormType()`
    `Element` | `getRegistrationQuery()` Returns filled query element.
    `void` | `setEmail(String email)`
    `void` | `setPassword(String password)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.forms.JabberDataElement

      `addBooleanField, addField, addFixedField, addFixedField, addFORM_TYPE, addHiddenField, addJidMultiField, addJidSingleField, addListMultiField, addListSingleField, addTextMultiField, addTextPrivateField, addTextSingleField, cleanUpForm, createSubmitableElement, getAsString, getField, getField, getFields, getFields, getFieldValueAsStringArray, getInstructions, getRowsCount, getTitle, getType, setInstructions, setTitle`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnifiedRegistrationForm

          public UnifiedRegistrationForm(IQ responseStanza)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

  - ### Method Detail

    - #### getRegistrationFormType

          public UnifiedRegistrationForm.RegistrationFormType getRegistrationFormType()

    - #### getRegistrationQuery

          public Element getRegistrationQuery()
                                       throws JaxmppException

      Returns filled query element.
      Returns:
        query element
      Throws:
        `JaxmppException`

    - #### setEmail

          public void setEmail(String email)
                        throws XMLException

      Throws:
        `XMLException`

    - #### setPassword

          public void setPassword(String password)
                           throws XMLException

      Throws:
        `XMLException`

    - #### setUsername

          public void setUsername(String username)
                           throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.